<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    var rabbit = {};
    rabbit.speak = function(line){
        console.log('the rabbit says' +line+"'")
    }
    rabbit.speak("I'm alive")
    // sử dụng từ khóa this bên trong method
    function speak(line){
        console.log('the '+ this.type + " rabbit says "+ line)
    }
    var whiteRabbit = { type:'white', speak:speak }
    var fatRabbit = { type:'fat', speak:speak }

    whiteRabbit.speak("I'm alive")
    fatRabbit.speak("I'm alive")
    </script>
</body>
</html>